Skip to main content
Resource Center/Network Service/Network Service Operations/Security Group Operations
GETSecurity Group OperationsSince 4.7.21SynchronousAuth Required

ValidateSecurityGroupRule

ValidateSecurityGroupRule

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • securityGroupUuidStringRequired

    The security group UUID.

Query Parameters

  • typeStringRequired

    The type of the security group rule.

  • protocolStringRequired

    The protocol of the security group rule.

  • remoteSecurityGroupUuidString

    Optional. The remote security group UUID.

  • ipVersionInteger

    Optional. The IP version of the security group rule.

  • srcIpRangeString

    Optional. The range of the source IP of the security group rule.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • availablebooleanRequired

    Whether the rule is valid.

  • codeStringRequired

    The error code of the rule.

  • reasonStringRequired

    reason

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/security-groups/{securityGroupUuid}/rules/validation

/zstack/v1/security-groups/{securityGroupUuid}/rules/validation

Operation ID

ValidateSecurityGroupRule

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/security-groups/{securityGroupUuid}/rules/validation?type=<type>&protocol=<protocol>&remoteSecurityGroupUuid=<remoteSecurityGroupUuid>&ipVersion=1&srcIpRange=<srcIpRange>&dstIpRange=<dstIpRange>&dstPortRange=<dstPortRange>&action=<action>&startPort=1&endPort=1&allowedCidr=<allowedCidr>' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "available": true, "code": "SG.2000" }

Change History

This API has no change history records yet.

View all change history